#include<stdio.h>

int main()
{
  int n, i, j;
  scanf("%d", &n);
  if(n<1)
  {
    printf("-1");
    return -1;
  }
  for(i=1;i<=n;i++)
  {
    for(j=1;j<i;j++)
      printf(" ");
    for(j=1;j<=2*(n-i+1)-1;j++)
    {
      if(j%2)
	printf("*");
      else
	printf("-");
    }
    printf("\n");
  }
  return 0;
}